#!/bin/bash
set -exuo pipefail

apt-get update

PACKAGES=("git" "cmake" "g++" "libclang-dev")
case "${TARGET}" in
    aarch64-unknown-linux-gnu|aarch64-unknown-linux-musl)
        apt-get install -y "${PACKAGES[@]}" {cpp,g++,gcc}-aarch64-linux-gnu linux-libc-dev-arm64-cross
    ;;
    arm-unknown-linux-gnueabi|arm-unknown-linux-musleabi)
        apt-get install -y "${PACKAGES[@]}" {cpp,g++,gcc}-arm-linux-gnueabi linux-libc-dev-armel-cross
    ;;
    arm-unknown-linux-gnueabihf|arm-unknown-linux-musleabihf)
        apt-get install -y "${PACKAGES[@]}" {cpp,g++,gcc}-arm-linux-gnueabihf linux-libc-dev-armhf-cross
    ;;
    armv7-unknown-linux-gnueabihf|armv7-unknown-linux-musleabihf)
        apt-get install -y "${PACKAGES[@]}" {cpp,g++,gcc}-arm-linux-gnueabihf linux-libc-dev-armel-cross
    ;;
    *)
        apt-get install -y "${PACKAGES[@]}" linux-libc-dev
    ;;
esac